Changeset 85431


Ignore:
Timestamp:
Oct 13, 2011, 8:56:34 PM (8 years ago)
Author:
dports@…
Message:

libglade2, libgnomecanvas: add dummy +quartz variant to distinguish
the binary packages: when gtk +quartz is installed, its library is
libgtk2-quartz instead of libgtk2-x11. (#31303, #31558)

Long-term, this probably isn't the best solution, especially since
other gtk2 dependents will probably run into the same problem, but it
fixes the current issue.

Location:
trunk/dports/gnome
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/libglade2/Portfile

    r83105 r85431  
    77set my_name     libglade
    88version         2.6.4
    9 revision        3
     9revision        4
    1010set branch      [join [lrange [split ${version} .] 0 1] .]
    1111categories      gnome
     
    2929distname        ${my_name}-${version}
    3030use_bzip2       yes
     31
     32# add a dummy +quartz variant to distinguish the binary packages,
     33# because they must link against libgtk2-quartz instead of
     34# libgtk2-x11. See #31303
     35variant quartz {}
    3136
    3237checksums       md5     d1776b40f4e166b5e9c107f1c8fe4139 \
  • trunk/dports/gnome/libgnomecanvas/Portfile

    r83106 r85431  
    66name            libgnomecanvas
    77version         2.30.3
     8revision        1
    89set branch      [join [lrange [split ${version} .] 0 1] .]
    910description     A graphics library for GNOME.
     
    2425                sha1    a5b07f33c44c460434dd0dad457d2fffb8a1baf9 \
    2526                rmd160  044d9980fdc0a074d72407a7fa70d99b2823817b
     27
     28# add a dummy +quartz variant to distinguish the binary packages,
     29# because they must link against libgtk2-quartz instead of
     30# libgtk2-x11. See #31303
     31variant quartz {}
    2632
    2733depends_build   port:pkgconfig \
Note: See TracChangeset for help on using the changeset viewer.